# Package org.apache.nutch.net.protocols

Helper classes related to the `Protocol` interface, see also `org.apache.nutch.protocol`.

- Interface Summary
  Interface | Description
  --- | ---
  Response | A response interface.

- Class Summary
  Class | Description
  --- | ---
  HttpDateFormat | Parse and format HTTP dates in HTTP headers, e.g., used to fill the "If-Modified-Since" request header field.
  ProtocolLogUtil |

- Enum Summary
  Enum | Description
  --- | ---
  Response.TruncatedContentReason |

- Exception Summary
  Exception | Description
  --- | ---
  ProtocolException | Deprecated. Use `ProtocolException` instead.